<?php

$num_posts = get_field('block_number_of_events');
$selected_posts = get_field('block_selected_events');
$organiser = get_field('block_event_organiser');

$args = array(
    'post_type'         => 'event',
    'posts_per_page'    => $num_posts,
    'post__in'          => $selected_posts,
    'suppress_filters'  => false,
    'orderby' 			=> 'meta_value',
    'meta_key' 			=> 'start_datetime',
    'order' 			=> 'ASC',
    'meta_query' 		=> array(
        'relation'  => 'AND',
        array(
            'key'       => 'event_organiser',
            'compare'   => '=',
            'value'     => $organiser,
        ), 
    ),
);

$events = new WP_Query($args);

if($events->have_posts()) { ?>

    <div class="posts-loop events custom-block">

        <?php while($events->have_posts()) {
            $events->the_post();
            get_template_part( 'template-parts/events/event', 'preview');
            
        } ?>

    </div>
    
<?php } 
wp_reset_postdata(); ?>